Subject: Re: bug#51733: 27.1; Detect impossible email addresses better

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Jan 2022 15:28:51 +0100

Eli Zaretskii <[email-masked]> writes:

> Why? .ru is a top-level domain, it doesn't affect what should be
> before the dot, I think?
>
> If you replace "Сгсе.ru" with "Cгсе.ru", you do get a warning.

Yes.  But "Сгсе.ru" is a whole-script confusable with "Crce.ru", and is
therefore suspicious.

>> Is that what they mean here?
>
> I'm not sure I understand the purpose of finding which scripts
> "contain a whole-script confusable with a string X".  What are we
> supposed to do with the resulting list?

I think this standard was written by somebody with a PhD in Philosophy,
and not a programmer, so the language is very high falutin'.

So they're not actually suggesting that a list should be made, but the
result should be mathematically equivalent with the result of the
mathematical algorithm described.  I just don't understand what he's
saying here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no